Package org.flowable.bpmn.model

# Class SendTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.TaskWithFieldExtensions
org.flowable.bpmn.model.SendTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class SendTask extends TaskWithFieldExtensions

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `implementationType`
  `protected String`
  `operationRef`
  `protected String`
  `type`

  ### Fields inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SendTask`
  `clone()`
  `String`
  `getImplementationType()`
  `String`
  `getOperationRef()`
  `String`
  `getType()`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setOperationRef(String operationRef)`
  `void`
  `setType(String type)`
  `void`
  `setValues(SendTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    protected String type

  - ### implementationType

    protected String implementationType

  - ### operationRef

    protected String operationRef

- ## Constructor Details

  - ### SendTask

    public SendTask()

- ## Method Details

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getOperationRef

    public String getOperationRef()

  - ### setOperationRef

    public void setOperationRef(String operationRef)

  - ### clone

    public SendTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(SendTask otherElement)